﻿; *
; * Memory DLL loading code
; * Version 0.0.3
; *
; * Memory DLL loading code
; * Version 0.0.3
; *
; * Copyright (c) 2004-2013 by Joachim Bauch / mail@joachim-bauch.de
; * http://www.joachim-bauch.de
; *
; * The contents of this file are subject To the Mozilla Public License Version
; * 2.0 (the "License"); you may not use this file except in compliance with
; * the License. You may obtain a copy of the License at
; * http://www.mozilla.org/MPL/
; *
; * Software distributed under the License is distributed on an "AS IS" basis,
; * WITHOUT WARRANTY OF ANY KIND, either express Or implied. See the License
; * For the specific language governing rights And limitations under the
; * License.
; *
; * The Original Code is MemoryModule.h
; *
; * The Initial Developer of the Original Code is Joachim Bauch.
; *
; * Portions created by Joachim Bauch are Copyright (C) 2004-2013
; * Joachim Bauch. All Rights Reserved.
; *
; * 

; compiled with PellesC
; import by Thomas (ts-soft) Schulz

CompilerIf #PB_Compiler_Processor = #PB_Processor_x64
  #MemoryModule_Lib$ = "MemoryModule64.lib"
CompilerElse
  #MemoryModule_Lib$ = "MemoryModule.lib" 
CompilerEndIf

Import #MemoryModule_Lib$
  MemoryLoadLibrary(*MemoryPointer)
  MemoryGetProcAddress(hModule, FunctionName.p-ascii)
  MemoryFreeLibrary(hModule)
  MemoryFindResource(hModule, lpName.p-ascii, lpType.p-ascii)
  MemoryFindResourceEx(hModule, lpName.p-ascii, lpType.p-ascii, wLanguage.w)
  MemoryLoadResource(hModule, hResInfo)
  MemoryLoadString(hModule, uID.l, *lpBuffer, nBufferMax.l)
  MemoryLoadStringEx(hModule, uID.l, *lpBuffer, nBufferMax.l, wLanguage.w)
  MemorySizeofResource(hModule, hResInfo)
EndImport


; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 30
; Folding = -
; EnableXP
; EnableUser
; CPU = 1
; HideErrorLog
; CompileSourceDirectory
; EnableExeConstant